Package com.scriptel.proscript.cardswipe

## Class CardSwipeInvalidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.scriptel.proscript.cardswipe.CardSwipeInvalidException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CardSwipeInvalidException
      extends java.lang.Exception

  This exception is thrown when there is a problem parsing a card swipe string.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CardSwipeInvalidException​(java.lang.String msg, int pos)` | Constructor, creates a new exception of this type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPosition()` | Gets the position in the string the error occurred.
    `java.lang.String` | `toString()` | Gets a human readable version of this object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CardSwipeInvalidException

          public CardSwipeInvalidException​(java.lang.String msg,
                                           int pos)

      Constructor, creates a new exception of this type.
      Parameters:
        `msg` - Message containing a more detailed description of this error.
        `pos` - Position the error occurred at.

  - ### Method Detail

    - #### getPosition

          public int getPosition()

      Gets the position in the string the error occurred.
      Returns:
        the position the error occurred

    - #### toString

          public java.lang.String toString()

      Gets a human readable version of this object.
      Overrides:
        `toString` in class `java.lang.Throwable`
      Returns:
        Human readable version of this object.